import { EventActionType, actionResult, DeployEventType, DeployEventStatusType } from 'quidproquo-core';
const getProcessAutoRespond = (qpqConfig) => {
    return async ({ qpqEventRecord, matchResult }) => {
        // exit if we don't know what deploy type this is, probably another stack
        const earlyExit = qpqEventRecord.deployEventType === DeployEventType.Unknown || qpqEventRecord.deployEventStatusType === DeployEventStatusType.Unknown;
        // THIS IS A HACK... We need to support early exit on void responses...
        // Maybe void reponses should just be "completed successfully"... then we can early exit as it has completed successfully
        return actionResult(earlyExit);
    };
};
export default (qpqConfig) => {
    return {
        [EventActionType.AutoRespond]: getProcessAutoRespond(qpqConfig),
    };
};
